﻿


body::before {
    left: 0;
}

body::after {
    right: 0;
}

::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-track {
    background: #ffa500;
}

::-webkit-scrollbar-thumb {
    background: #313335;
    border-radius: 6px;
}

/* Firefox */
* {
    scrollbar-width: thin; /* 'thin' в Firefox примерно равен 8-10px */
    scrollbar-color: #313335 #ffa500;
    box-sizing: border-box;
}

.scroll-line {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0; 
    width: 10px;
    background: linear-gradient(to bottom, rgba(255, 140, 0, 0.8), rgba(255, 165, 0, 0.8), rgba(255, 140, 0, 0.8));
    z-index: 1000;
    pointer-events: none;
}

.scroll-line-right {
    right: 0;
}


.box-content {
    background-color: #212325;
    border-radius: 15px;
    border: 5px solid #ffa500;
    box-shadow: 0 0 10px rgba(255, 140, 0, 0.3);
    padding: 25px;
    margin: 15px; 
}


.button-white-gold {
    padding: 10px 25px;
    border-radius: 50px;
    width: 100%;
    display: block;
    box-sizing: border-box;
    border: none;
    cursor: pointer;
    font-weight: var(--font-width-text);
    font-size: 36px;
    position: relative;
    transition: all 0.3s ease;
    text-transform: uppercase;
    background: linear-gradient(45deg, #e0e0e0 25%, #ffa500 45%, #c0c0c0 75%);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.button-orange {
    color: white;
    padding: 10px 25px;
    border-radius: 50px;
    width: 100%;
    display: block;
    box-sizing: border-box;
    border: none;
    cursor: pointer;
    font-weight: 500;
    font-size: 36px;
    position: relative;
    transition: all 0.3s ease;
    background: linear-gradient(to bottom, #ffa500, #dc6d04);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.button-orange:hover {
    transform: translateY(-3px);
    box-shadow: 0 7px 20px rgba(0, 0, 0, 0.3);
}

.button-white-gold:hover {
    transform: translateY(-3px);
    box-shadow: 0 7px 20px rgba(0, 0, 0, 0.3);
}

.text-style-gray {
    color: #313335;
    font-weight: bold;
    font-family: Arial, sans-serif;
}

.text-style-white {
    color: white;
    font-weight: bold;
    font-family: Arial, sans-serif;
}

/* Стили для первого варианта текста */
.text-style-1 {
    color: #c0c0c0;
    -webkit-text-stroke-color: #313335;
    font-family: Arial, sans-serif;
}

/* Стили для второго варианта текста */
.text-style-2 {
    color: #ffa500;
    -webkit-text-stroke-color: #313335;
    font-family: Arial, sans-serif;
}

.text-style-gradient {
    font-family: 'Impact', sans-serif;
    font-size: var(--font-size);
    -webkit-text-stroke-color: #313335;
    font-weight: 10;
    letter-spacing: 2px;
    background: linear-gradient(45deg, #e0e0e0 25%, #ffa500 45%, #c0c0c0 75% );
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.center-text {
    text-align: center;
    place-items: center;
}

.break-spaces {
    white-space: break-spaces; 
}

.stroke-large {
    -webkit-text-stroke-width: var(--font-width-text);
}

.stroke-medium {
    -webkit-text-stroke-width: calc(var(--font-width-text) - 3px);
}

.stroke-small {
    -webkit-text-stroke-width: calc(var(--font-width-text) - 6px);
}

.ellipsis {
    display: -webkit-box;
    -webkit-line-clamp: 3; 
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

table {
    width: 100%;
    border-spacing: 0 20px; 
}

td {
    vertical-align: top; 
}

.img-radius-orng {
    border-radius: 15px;
    border: 5px solid #ffa500;
    box-shadow: 0 0 10px rgba(255, 140, 0, 0.3);
}

.img-radius-gray {
    border-radius: 15px;
    border: 5px solid #313335;
    box-shadow: 0 0 10px rgba(255, 140, 0, 0.3);
}
.img-radius-white {
    border-radius: 15px;
    border: 5px solid white;
    box-shadow: 0 0 10px rgba(255, 140, 0, 0.3);
}
.img-radius {
    border-radius: 15px;
    box-shadow: 0 0 10px rgba(255, 140, 0, 0.3);
}

.container {
    display: flex;
    gap: 25px;
}

.row {
    display: flex;
    align-items: center;
}
.grid-container {
    display: grid;
    gap: 20px;
    width: 100%;
    margin: 0 auto;
}

/* Для десктопов (горизонтальная ориентация) */
@media (orientation: landscape) {
    .grid-container {
        grid-template-columns: 1fr 1fr;
    }
}

/* Для мобильных (вертикальная ориентация) */
@media (orientation: portrait) {
    .grid-container {
        grid-template-columns: 1fr;
    }
}

#foxImage {
    transition: opacity 0.3s ease-in-out;
}

